Lookup address
curl --request GET \
--url https://api.geoscale.io/v1/address/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geoscale.io/v1/address/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geoscale.io/v1/address/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "25p8hdho2ucpbSc6g1QSythIGj3dzN",
"type": "nl_street_address",
"street": "Dam",
"house_number": "1",
"postal_code": "1012 JS",
"locality": "Amsterdam",
"municipality": "Amsterdam",
"province": "Noord-Holland",
"country": "Nederland",
"location": {
"latitude": 52.373293,
"longitude": 4.893718
},
"single_line": "Dam 1, Amsterdam",
"lines": [
"Dam 1",
"1012 JS Amsterdam",
"Nederland"
]
}API reference
Lookup
Retrieves a full address by its GeoScale identifier.
GET
/
address
/
{id}
Lookup address
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Stable GeoScale address identifier.
Query Parameters
BCP 47 language tag used for localization of the response.
Response
Address returned successfully.
- Belgian street address
- French street address
- Luxembourg street address
- Dutch street address
Structured Belgian street address.
Stable GeoScale address identifier.
Address subtype discriminator.
Allowed value:
"be_street_address"Compact, single-line address formatted for display.
Multi-line, locale-correct formatted address suitable for display or printing.
Geographic coordinates in WGS84.
Show child attributes
Show child attributes
